How can I build the Miranda IM plugin?

  • Hi,

    I was trying to get the Miranda IM plugin to build, but there is a host of error messages that are caused by dependencies for which I found no documentation. The closest to a documentation was here. However, this doesn't list all the dependencies (Kerberos, NSS …) and it doesn't seem to have been updated in a while.

    In short my question is which versions (or minimum versions) are required to build the Miranda plugin?

    At the moment I'm still fine using good old Jabber, but more and more colleagues are migrating to Lync and I need an alternative soon, so I thought why not give it a try with your plugin.


    // Oliver

  • Stefan Becker
    Stefan Becker

    Those Windows build instructions are only for the libpurple version. The "missing" dependencies can be found by following the links to the Pidgin Windows build instructions, because they are needed for it too.

    As far as I understand the Miranda build you'll need VC and then open siplcs.vcxproj with it. But I have no idea where to get the VC versions of all the necessary headers & libraries (check for AdditionalDependencies in the project file).